OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.TimerQuery

Contents

- Functions
- Tokens
- Types

Description

All raw functions, tokens and type from the EXT_timer_query extension, see http://www.opengl.org/registry/specs/EXT/timer_query.txt.

Synopsis

- glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()
- glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()
- gl_TIME_ELAPSED :: GLenum
- type GLint64 = Int64
- type GLuint64 = Word64

# Functions

glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()

glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()

# Tokens

gl_TIME_ELAPSED :: GLenum

# Types

type GLint64 = Int64

type GLuint64 = Word64